## xrootd 5.7.0

=== tests/XRootD/CMakeLists.txt ===
set(XRD_TEST_PORT "11940" CACHE STRING "Port for XRootD Test Server")

list(APPEND XRDENV "XRDCP=$<TARGET_FILE:xrdcp>")
list(APPEND XRDENV "XRDFS=$<TARGET_FILE:xrdfs>")
list(APPEND XRDENV "CRC32C=$<TARGET_FILE:xrdcrc32c>")
list(APPEND XRDENV "ADLER32=$<TARGET_FILE:xrdadler32>")
list(APPEND XRDENV "HOST=root://localhost:${XRD_TEST_PORT}")

configure_file(xrootd.cfg xrootd.cfg @ONLY)

add_test(NAME XRootD::start
  COMMAND sh -c "mkdir -p data && \
  $<TARGET_FILE:xrootd> -b -k fifo -n standalone -l xrootd.log -s xrootd.pid -c xrootd.cfg")
set_tests_properties(XRootD::start PROPERTIES FIXTURES_SETUP   XRootD)

add_test(NAME XRootD::stop
  COMMAND sh -c "kill -s TERM $(cat standalone/xrootd.pid); rm -rf data standalone")
set_tests_properties(XRootD::stop  PROPERTIES FIXTURES_CLEANUP XRootD)

add_test(NAME XRootD::smoke-test
  COMMAND sh -c "${CMAKE_CURRENT_SOURCE_DIR}/smoke.sh")

set_tests_properties(XRootD::smoke-test PROPERTIES
  ENVIRONMENT "${XRDENV}" FIXTURES_REQUIRED XRootD)

=== tests/XrdCl/CMakeLists.txt ===
add_executable(xrdcl-unit-tests
  XrdClURL.cc
  XrdClPoller.cc
  XrdClSocket.cc
  XrdClUtilsTest.cc
  )

target_link_libraries(xrdcl-unit-tests
  XrdTestUtils GTest::GTest GTest::Main)

gtest_discover_tests(xrdcl-unit-tests TEST_PREFIX XrdCl::)

if(XRDCL_ONLY)
  return()
endif()

execute_process(COMMAND id -u OUTPUT_VARIABLE UID OUTPUT_STRIP_TRAILING_WHITESPACE)

if (UID EQUAL 0)
  return()
endif()

file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/tmp")

add_executable(xrdcl-cluster-tests
  IdentityPlugIn.cc
  # XrdClFileTest.cc
  # XrdClFileCopyTest.cc
  # XrdClFileSystemTest.cc
  # XrdClOperationsWorkflowTest.cc
  XrdClLocalFileHandlerTest.cc
  XrdClPostMasterTest.cc
  XrdClThreadingTest.cc
  XrdClZip.cc
  )

target_link_libraries(xrdcl-cluster-tests
  XrdTestUtils GTest::GTest GTest::Main)

gtest_discover_tests(xrdcl-cluster-tests TEST_PREFIX XrdCl::
  PROPERTIES DEPENDS XRootD_Cluster FIXTURES_REQUIRED XRootD_Cluster)

# tests to be run in serial, otherwise they are problematic
set(SERIAL_TESTS_FILES
  XrdClFileTest.cc
  XrdClFileCopyTest.cc
  XrdClFileSystemTest.cc
  XrdClOperationsWorkflowTest.cc
)

# create a separate executable target for each "problematic" test suite
foreach(i ${SERIAL_TESTS_FILES})
  add_executable(${i}-tests ${i} IdentityPlugIn.cc)

  target_link_libraries(${i}-tests
    XrdTestUtils GTest::GTest GTest::Main)

  gtest_discover_tests(${i}-tests TEST_PREFIX XrdCl::
    PROPERTIES DEPENDS XRootD_Cluster FIXTURES_REQUIRED XRootD_Cluster RUN_SERIAL 1)
endforeach()

=== debian/changelog ===
xrootd (5.7.0-3) unstable; urgency=medium

  * Fix compilation on GNU/Hurd - IOV_MAX not defined

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 06 Jul 2024 05:55:34 +0200

xrootd (5.7.0-2) unstable; urgency=medium

  * Fix spelling error in patch directory (pattches → patches)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 05 Jul 2024 16:41:18 +0200

xrootd (5.7.0-1) unstable; urgency=medium

  * Update to version 5.7.0
  * Drop patches accepted upstream
  * Move systemd unit files to /usr/lib/systemd/system (Closes: #1073678)
  * Reduce socket path lengths used by tests
  * Fix compilation error due to hidden overloaded virtual

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 02 Jul 2024 17:23:50 +0200

=== debian/control ===
Source: xrootd
Section: net
Priority: optional
Standards-Version: 4.7.0
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.22.5),
 dh-python,
 cmake,
 pkgconf,
 libfuse-dev [linux-any kfreebsd-any],
 libkrb5-dev,
 libcurl4-openssl-dev,
 libtinyxml-dev,
 libxml2-dev,
 ncurses-dev,
 libssl-dev,
 libreadline-dev,
 zlib1g-dev,
 libsystemd-dev [linux-any],
 pybuild-plugin-pyproject,
 python3-dev,
 python3-pip,
 python3-setuptools,
 python3-wheel,
 libjson-c-dev,
 libmacaroons-dev,
 uuid-dev,
 voms-dev,
 libscitokens-dev,
 davix-dev,
 librados-dev [amd64 arm64 mips64el ppc64el riscv64 s390x],
 libradospp-dev [amd64 arm64 mips64el ppc64el riscv64 s390x],
 libradosstriper-dev [amd64 arm64 mips64el ppc64el riscv64 s390x],
 libisal-dev [!i386 !hppa !hurd-i386 !powerpc !x32],
 attr,
 libgtest-dev,
 openssl,
 uuid-runtime
Build-Depends-Indep:
 dh-sequence-sphinxdoc,
 doxygen,
 graphviz,
 python3-sphinx
Homepage: https://xrootd.slac.stanford.edu/
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Vcs-Browser: https://salsa.debian.org/ellert/xrootd
Vcs-Git: https://salsa.debian.org/ellert/xrootd.git

Package: xrootd-server
Architecture: any
Multi-Arch: foreign
Depends:
 xrootd-plugins (= ${binary:Version}),
 xrootd-server-plugins (= ${binary:Version}),
 expect,
 logrotate,
 adduser,
 ${perl:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: Extended ROOT file server
 The Extended root file server consists of a file server called xrootd
 and a cluster management server called cmsd.
 .
 The xrootd server was developed for the root analysis framework to
 serve root files. However, the server is agnostic to file types and
 provides POSIX-like access to any type of file.
 .
 The cmsd server is the next generation version of the olbd server,
 originally developed to cluster and load balance Objectivity/DB AMS
 database servers. It provides enhanced capability along with lower
 latency and increased throughput.

Package: libxrdapputils2t64
Provides: ${t64:Provides}
Replaces: libxrdapputils2
Breaks: libxrdapputils2 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Utilities library for xrootd applications
 This package contains the xrootd utilities library for applications.

Package: libxrdcrypto2t64
Provides: ${t64:Provides}
Replaces: libxrdcrypto2
Breaks: libxrdcrypto2 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Cryptograpic library for xrootd
 This package contains the xrootd cryptograpic library.

Package: libxrdcryptolite2t64
Provides: ${t64:Provides}
Replaces: libxrdcryptolite2
Breaks: libxrdcryptolite2 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Light version of cryptograpic library for xrootd
 This package contains the light version of the xrootd cryptograpic library.

Package: libxrdutils3t64
Provides: ${t64:Provides}
Replaces:
 libxrdutils3,
 libxrdcephposix0 [i386 armel armhf mips mipsel powerpc],
 xrootd-ceph-plugins [i386 armel armhf mips mipsel powerpc]
Breaks:
 libxrdutils3 (<< ${source:Version}),
 libxrdcephposix0 [i386 armel armhf mips mipsel powerpc],
 xrootd-ceph-plugins [i386 armel armhf mips mipsel powerpc]
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Utilities library for xrootd
 This package contains the xrootd utilities library.

Package: libxrdxml3t64
Provides: ${t64:Provides}
Replaces: libxrdxml3
Breaks: libxrdxml3 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: XML library for xrootd
 This package contains the xrootd XML library.

Package: xrootd-plugins
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Plugins used by xrootd servers and clients
 This package contains plugins used by the xrootd servers and clients.

Package: libxrootd-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libxrdapputils2t64 (= ${binary:Version}),
 libxrdcrypto2t64 (= ${binary:Version}),
 libxrdcryptolite2t64 (= ${binary:Version}),
 libxrdutils3t64 (= ${binary:Version}),
 libxrdxml3t64 (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for xrootd
 This package contains header files and development libraries for xrootd
 development.

Package: libxrdcl3t64
Provides: ${t64:Provides}
Replaces: libxrdcl3
Breaks: libxrdcl3 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 xrootd-plugins (= ${binary:Version}),
 xrootd-client-plugins(= ${binary:Version})
Description: Client library for xrootd
 This package contains the xrootd client library.

Package: libxrdec1t64
Provides: ${t64:Provides}
Replaces: libxrdec1
Breaks: libxrdec1 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Erasure code library for xrootd
 This package contains the xrootd erasure code library.

Package: libxrdffs3t64
Provides: ${t64:Provides}
Replaces: libxrdffs3
Breaks: libxrdffs3 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: File protocol library for xrootd
 This package contains the xrootd file protocol library.

Package: libxrdposix3t64
Provides: ${t64:Provides}
Replaces: libxrdposix3
Breaks: libxrdposix3 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Posix interface library for xrootd
 This package contains the xrootd Posix interface library.

Package: libxrdssilib2t64
Provides: ${t64:Provides}
Replaces: libxrdssilib2
Breaks: libxrdssilib2 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Server internals library for xrootd
 This package contains an xrootd server internals library.

Package: libxrdssishmap2t64
Provides: ${t64:Provides}
Replaces: libxrdssishmap2
Breaks: libxrdssishmap2 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Server internals library for xrootd
 This package contains an xrootd server internals library.

Package: xrootd-client-plugins
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Plugins used by xrootd clients
 This package contains plugins used by xrootd clients.

Package: xrootd-client-http-plugins
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: HTTP client plugin for XRootD client
 This package contains an XRootD client plugin which allows XRootD to
 interact with HTTP repositories.

Package: libxrootd-client-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libxrdcl3t64 (= ${binary:Version}),
 libxrdffs3t64 (= ${binary:Version}),
 libxrdposix3t64 (= ${binary:Version}),
 libxrootd-dev (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for xrootd clients
 This package contains header files and development libraries for xrootd
 client development.

Package: libxrdhttputils2t64
Provides: ${t64:Provides}
Replaces: libxrdhttputils2
Breaks: libxrdhttputils2 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: HTTP protocol utilities library for xrootd
 This package contains the xrootd HTTP protocol utilities library.

Package: libxrdserver3t64
Provides: ${t64:Provides}
Replaces: libxrdserver3
Breaks: libxrdserver3 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 xrootd-plugins (= ${binary:Version}),
 xrootd-server-plugins(= ${binary:Version})
Description: Server library for xrootd
 This package contains the xrootd server library.

Package: xrootd-server-plugins
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Plugins used by xrootd servers
 This package contains plugins used by xrootd servers.

Package: libxrootd-server-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libxrdhttputils2t64 (= ${binary:Version}),
 libxrdserver3t64 (= ${binary:Version}),
 libxrootd-dev (= ${binary:Version}),
 libxrootd-client-dev (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for xrootd servers
 This package contains header files and development libraries for xrootd
 server development.

Package: libxrootd-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libxrdec1t64 (= ${binary:Version}) [!i386 !hppa !hurd-i386 !powerpc !x32],
 libxrdssilib2t64 (= ${binary:Version}),
 libxrdssishmap2t64 (= ${binary:Version}),
 libxrootd-dev (= ${binary:Version}),
 libxrootd-client-dev (= ${binary:Version}),
 libxrootd-server-dev (= ${binary:Version}),
 ${misc:Depends}
Description: Private xrootd headers
 This package contains some private xrootd headers. Backward and forward
 compatibility between versions is not guaranteed for these headers.

Package: xrootd-client
Architecture: any
Multi-Arch: foreign
Depends:
 xrootd-plugins (= ${binary:Version}),
 xrootd-client-plugins(= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Xrootd command line client tools
 This package contains the command line tools used to communicate with
 xrootd servers.

Package: xrootd-fuse
Architecture: linux-any kfreebsd-any
Multi-Arch: foreign
Depends:
 xrootd-plugins (= ${binary:Version}),
 xrootd-client-plugins (= ${binary:Version}),
 fuse,
 ${shlibs:Depends},
 ${misc:Depends}
Description: Xrootd FUSE tool
 This package contains the FUSE (file system in user space) xrootd mount
 tool.

Package: xrootd-voms-plugins
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: VOMS attribute extractor plugin for XRootD
 This package contains the xrootd VOMS attribute extractor plugin.

Package: xrootd-scitokens-plugins
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: SciTokens authorization support for XRootD
 This ACC (authorization) plugin for the XRootD framework utilizes the
 SciTokens library to validate and extract authorization claims from a
 SciToken passed during a transfer. Configured appropriately, this
 allows the XRootD server admin to delegate authorization decisions for
 a subset of the namespace to an external issuer.

Package: libxrdcephposix0
Architecture: amd64 arm64 mips64el ppc64el riscv64 s390x
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Ceph posix library for xrootd
 This package contains an xrootd library used by the ceph plugins.

Package: xrootd-ceph-plugins
Architecture: amd64 arm64 mips64el ppc64el riscv64 s390x
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: XRootD plugin for interfacing with the Ceph storage platform
 The xrootd-ceph is an OSS layer plugin for the XRootD server for
 interfacing with the Ceph storage platform.

Package: python3-xrootd
Architecture: any
Multi-Arch: foreign
Section: python
Provides:
 ${python3:Provides}
Depends:
 xrootd-plugins (= ${binary:Version}),
 xrootd-client-plugins (= ${binary:Version}),
 ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: Python 3 bindings for xrootd
 This package contains Python 3 bindings for xrootd.

Package: xrootd-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends}
Built-Using:
 ${sphinxdoc:Built-Using}
Description: Developer documentation for the xrootd libraries

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Disable ceph dependent packages for architectures without ceph
# This list should match the Build-Depends on ceph libraries in debian/control
#
# Ceph requires boost-context and boost-coroutine
# These are only available on these Debian architectures:
#   i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64
#   mips mipsel mips64el powerpc ppc64el riscv64 s390x
#
# Ceph requires Java
# Java is not available on these Debian architectures:
#   hppa hurd-i386 kfreebsd-i386 kfreebsd-amd64
#
# Ceph only supports 64 bit architectures
ifneq ($(filter $(DEB_HOST_ARCH),amd64 arm64 mips64el ppc64el riscv64 s390x),)
CEPH = ON
else
CEPH = OFF
endif

ifneq ($(filter $(DEB_HOST_ARCH_OS),linux kfreebsd),)
FUSE = ON
else
FUSE = OFF
endif

ifneq ($(filter $(DEB_HOST_ARCH),i386 hppa hurd-i386 powerpc x32),)
EC = OFF
N = -Nlibxrdec1t64
else
EC = ON
N =
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

BUILD_DOC = $(if $(filter xrootd-doc,$(shell dh_listpackages)),TRUE,FALSE)

%:
	dh $@ --with python3 --buildsystem cmake $(N)

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DFORCE_ENABLED:BOOL=ON \
	    -DENABLE_TESTS:BOOL=ON \
	    -DENABLE_FUSE:BOOL=$(FUSE) \
	    -DENABLE_CEPH:BOOL=$(CEPH) \
	    -DENABLE_XRDEC:BOOL=$(EC) \
	    -DPIP_OPTIONS="--no-deps --use-pep517 --no-build-isolation --disable-pip-version-check --verbose"

override_dh_auto_build:
	dh_auto_build
	[ "$(BUILD_DOC)" = "FALSE" ] || ( \
	doxygen Doxyfile && \
	sed 's!src=".*/xrootd-logo.png"!src="xrootd-logo.png"!' \
	    -i doxydoc/html/index.html && \
	cp -p docs/images/xrootd-logo.png doxydoc/html )

override_dh_auto_test:
	# Reduce socket path lengths used during tests
	# Tests fail with sockets in the build directory if path is too long
	mktemp -d -p /var/tmp > adminpath
	sed "s!all.adminpath .*!all.adminpath $$(cat adminpath)!" \
	    -i obj-$(DEB_HOST_GNU_TYPE)/tests/cluster/common.cfg \
	       obj-$(DEB_HOST_GNU_TYPE)/tests/XRootD/xrootd.cfg

	touch testfile
	if ( setfattr -n user.testattr -v testvalue testfile ) ; then \
	    dh_auto_test ; \
	else \
	    echo "Extended file attributes not supported by file system" ; \
	    echo "Don't run tests that require them" ; \
	    dh_auto_test -- ARGS+="-E '\
XrdCl::FileCopyTest|\
XrdCl::FileSystemTest.PlugInTest|\
XrdCl::FileSystemTest.ServerQueryTest|\
XrdCl::FileSystemTest.TruncateRmTest|\
XrdCl::FileSystemTest.XAttrTest|\
XrdCl::FileTest.PlugInTest|\
XrdCl::FileTest.VectorWriteTest|\
XrdCl::FileTest.WriteTest|\
XrdCl::FileTest.WriteVTest|\
XrdCl::FileTest.XAttrTest|\
XrdCl::LocalFileHandlerTest.XAttrTest|\
XrdCl::ThreadingTest|\
XrdCl::WorkflowTest.CheckpointTest|\
XrdCl::WorkflowTest.MixedWorkflowTest|\
XrdCl::WorkflowTest.ParallelTest|\
XrdCl::WorkflowTest.WritingWorkflowTest|\
XrdCl::WorkflowTest.XAttrWorkflowTest|\
XrdEc::|\
XRootD::cluster::test'" ; \
	fi
	rm testfile

	rm -rf $$(cat adminpath)
	rm adminpath

override_dh_auto_install:
	ln -sf libxrootd-private-dev.install.ec-$(EC) \
	   debian/libxrootd-private-dev.install

	DEB_PYTHON_INSTALL_LAYOUT=deb dh_auto_install

	rm -f debian/tmp/usr/lib/*/libXrdCephPosix.so

	rm -f debian/tmp/usr/bin/xrdshmap

	rm -f debian/tmp/usr/lib/python3/dist-packages/xrootd-*.*-info/direct_url.json
	rm -f debian/tmp/usr/lib/python3/dist-packages/xrootd-*.*-info/RECORD
	[ -r debian/tmp/usr/lib/python3/dist-packages/xrootd-*.*-info/INSTALLER ] && \
	    sed s/pip/dpkg/ \
	    -i debian/tmp/usr/lib/python3/dist-packages/xrootd-*.*-info/INSTALLER

	[ "$(BUILD_DOC)" = "FALSE" ] || ( \
	LD_LIBRARY_PATH=$${LD_LIBRARY_PATH}:$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) \
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
	PYTHONDONTWRITEBYTECODE=1 \
	make -C bindings/python/docs html && \
	mv bindings/python/docs/build/html bindings/python/docs/build/python )

	# Service unit files
	mkdir -p debian/tmp/usr/lib/systemd/system
	install -m 644 packaging/common/xrootd@.service debian/tmp/usr/lib/systemd/system
	install -m 644 packaging/common/xrootd@.socket debian/tmp/usr/lib/systemd/system
	install -m 644 packaging/common/xrdhttp@.socket debian/tmp/usr/lib/systemd/system
	install -m 644 packaging/common/cmsd@.service debian/tmp/usr/lib/systemd/system
	install -m 644 packaging/common/frm_xfrd@.service debian/tmp/usr/lib/systemd/system
	install -m 644 packaging/common/frm_purged@.service debian/tmp/usr/lib/systemd/system
	mkdir -p debian/tmp/usr/lib/tmpfiles.d
	install -m 644 packaging/rhel/xrootd.tmpfiles debian/tmp/usr/lib/tmpfiles.d/xrootd.conf

	# Server config
	mkdir -p debian/tmp/etc/xrootd
	install -m 644 -p packaging/common/xrootd-clustered.cfg \
	    debian/tmp/etc/xrootd/xrootd-clustered.cfg
	install -m 644 -p packaging/common/xrootd-standalone.cfg \
	    debian/tmp/etc/xrootd/xrootd-standalone.cfg
	install -m 644 -p packaging/common/xrootd-filecache-clustered.cfg \
	    debian/tmp/etc/xrootd/xrootd-filecache-clustered.cfg
	install -m 644 -p packaging/common/xrootd-filecache-standalone.cfg \
	    debian/tmp/etc/xrootd/xrootd-filecache-standalone.cfg
	sed 's!/usr/lib64/!!' packaging/common/xrootd-http.cfg > \
	    debian/tmp/etc/xrootd/xrootd-http.cfg

	# Client config
	mkdir -p debian/tmp/etc/xrootd/client.plugins.d
	install -m 644 -p packaging/common/client.conf \
	    debian/tmp/etc/xrootd/client.conf
	sed 's!/usr/lib/!!' packaging/common/client-plugin.conf.example > \
	    debian/tmp/etc/xrootd/client.plugins.d/client-plugin.conf.example
	sed -e 's!/usr/lib64/!!' -e 's!-5!!' packaging/common/recorder.conf > \
	    debian/tmp/etc/xrootd/client.plugins.d/recorder.conf
	sed 's!/usr/lib64/!!' packaging/common/http.client.conf.example > \
	    debian/tmp/etc/xrootd/client.plugins.d/xrdcl-http-plugin.conf

	chmod 644 debian/tmp/usr/share/xrootd/utils/XrdCmsNotify.pm
	sed 's!/usr/bin/env perl!/usr/bin/perl!' -i \
	    debian/tmp/usr/share/xrootd/utils/netchk \
	    debian/tmp/usr/share/xrootd/utils/XrdCmsNotify.pm \
	    debian/tmp/usr/share/xrootd/utils/XrdOlbMonPerf

	sed 's!/usr/bin/env bash!/bin/bash!' -i \
	    debian/tmp/usr/bin/xrootd-config

	mkdir -p debian/tmp/etc/xrootd/config.d

	mkdir -p debian/tmp/var/log/xrootd
	mkdir -p debian/tmp/var/spool/xrootd

	mkdir -p debian/tmp/etc/logrotate.d
	install -m 644 -p packaging/common/xrootd.logrotate \
	    debian/tmp/etc/logrotate.d/xrootd

## xrootd 5.7.1

=== debian/changelog ===
xrootd (5.7.1-3) unstable; urgency=medium

  * Protect against array index out of bounds (hppa)
  * Change type in XrdSutCacheArg_t to long long (32 bit archs)
  * Reproducible doxygen output (avoid multiple threads to get
    predictable file names)
  * Increase client timeouts for XRootD server tests

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 16 Sep 2024 12:54:14 +0200

xrootd (5.7.1-2) unstable; urgency=medium

  * Exclude the XrdCl::WorkflowTest.CheckpointTest test

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 07 Sep 2024 09:34:59 +0200

xrootd (5.7.1-1) unstable; urgency=medium

  * Update to version 5.7.1
  * Drop patches accepted upstream

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 05 Sep 2024 10:32:37 +0200

=== debian/control ===
--- 
+++ 
@@ -34,15 +34,17 @@
  libradosstriper-dev [amd64 arm64 mips64el ppc64el riscv64 s390x],
  libisal-dev [!i386 !hppa !hurd-i386 !powerpc !x32],
  attr,
+ davix,
  libgtest-dev,
  openssl,
+ procps,
  uuid-runtime
 Build-Depends-Indep:
  dh-sequence-sphinxdoc,
  doxygen,
  graphviz,
  python3-sphinx
-Homepage: https://xrootd.slac.stanford.edu/
+Homepage: https://xrootd.web.cern.ch/
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Vcs-Browser: https://salsa.debian.org/ellert/xrootd
 Vcs-Git: https://salsa.debian.org/ellert/xrootd.git
@@ -447,4 +449,3 @@
  ${misc:Depends}
 Built-Using:
  ${sphinxdoc:Built-Using}
-Description: Developer documentation for the xrootd libraries

=== debian/rules ===
--- 
+++ 
@@ -62,9 +62,10 @@
 	# Reduce socket path lengths used during tests
 	# Tests fail with sockets in the build directory if path is too long
 	mktemp -d -p /var/tmp > adminpath
+	cp -p tests/XRootD/common.cfg tests/XRootD/common.cfg.orig
 	sed "s!all.adminpath .*!all.adminpath $$(cat adminpath)!" \
 	    -i obj-$(DEB_HOST_GNU_TYPE)/tests/cluster/common.cfg \
-	       obj-$(DEB_HOST_GNU_TYPE)/tests/XRootD/xrootd.cfg
+	       tests/XRootD/common.cfg
 
 	touch testfile
 	if ( setfattr -n user.testattr -v testvalue testfile ) ; then \
@@ -76,25 +77,18 @@
 XrdCl::FileCopyTest|\
 XrdCl::FileSystemTest.PlugInTest|\
 XrdCl::FileSystemTest.ServerQueryTest|\
-XrdCl::FileSystemTest.TruncateRmTest|\
 XrdCl::FileSystemTest.XAttrTest|\
-XrdCl::FileTest.PlugInTest|\
-XrdCl::FileTest.VectorWriteTest|\
-XrdCl::FileTest.WriteTest|\
-XrdCl::FileTest.WriteVTest|\
 XrdCl::FileTest.XAttrTest|\
 XrdCl::LocalFileHandlerTest.XAttrTest|\
 XrdCl::ThreadingTest|\
 XrdCl::WorkflowTest.CheckpointTest|\
-XrdCl::WorkflowTest.MixedWorkflowTest|\
-XrdCl::WorkflowTest.ParallelTest|\
-XrdCl::WorkflowTest.WritingWorkflowTest|\
 XrdCl::WorkflowTest.XAttrWorkflowTest|\
 XrdEc::|\
 XRootD::cluster::test'" ; \
 	fi
 	rm testfile
 
+	mv tests/XRootD/common.cfg.orig tests/XRootD/common.cfg
 	rm -rf $$(cat adminpath)
 	rm adminpath
 
@@ -109,10 +103,6 @@
 	rm -f debian/tmp/usr/bin/xrdshmap
 
 	rm -f debian/tmp/usr/lib/python3/dist-packages/xrootd-*.*-info/direct_url.json
-	rm -f debian/tmp/usr/lib/python3/dist-packages/xrootd-*.*-info/RECORD
-	[ -r debian/tmp/usr/lib/python3/dist-packages/xrootd-*.*-info/INSTALLER ] && \
-	    sed s/pip/dpkg/ \
-	    -i debian/tmp/usr/lib/python3/dist-packages/xrootd-*.*-info/INSTALLER
 
 	[ "$(BUILD_DOC)" = "FALSE" ] || ( \
 	LD_LIBRARY_PATH=$${LD_LIBRARY_PATH}:$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) \

## xrootd 5.7.2

=== debian/changelog ===
xrootd (5.7.2-4build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2025 05:17:31 +0100

xrootd (5.7.2-4) unstable; urgency=medium

  * Fix errors in format strings

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 08 Dec 2024 10:24:00 +0100

xrootd (5.7.2-3) unstable; urgency=medium

  * Use correct format for size_t for 32 bit architectures

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 01 Dec 2024 11:00:46 +0100

xrootd (5.7.2-2) unstable; urgency=medium

  * Exclude the XRootD::http::test test when filesystem lacks attr support

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 30 Nov 2024 13:12:31 +0100

xrootd (5.7.2-1) unstable; urgency=medium

  * Update to version 5.7.2
  * Drop patches accepted upstream
  * Update fuse package dependency (Closes: #1084481)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 29 Nov 2024 14:57:11 +0100

=== debian/control ===
--- 
+++ 
@@ -34,6 +34,7 @@
  libradosstriper-dev [amd64 arm64 mips64el ppc64el riscv64 s390x],
  libisal-dev [!i386 !hppa !hurd-i386 !powerpc !x32],
  attr,
+ curl,
  davix,
  libgtest-dev,
  openssl,
@@ -373,7 +374,7 @@
 Depends:
  xrootd-plugins (= ${binary:Version}),
  xrootd-client-plugins (= ${binary:Version}),
- fuse,
+ fuse3 (>= 3.10.1-3) | fuse (<< 3),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: Xrootd FUSE tool

=== debian/rules ===
--- 
+++ 
@@ -84,7 +84,8 @@
 XrdCl::WorkflowTest.CheckpointTest|\
 XrdCl::WorkflowTest.XAttrWorkflowTest|\
 XrdEc::|\
-XRootD::cluster::test'" ; \
+XRootD::cluster::test|\
+XRootD::http::test'" ; \
 	fi
 	rm testfile
